FToggleNodeAttributes
Keywords: com.fg.ftreenodes.FToggleNodeAttributes class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fg.ftreenodes
Class FToggleNodeAttributes

    java.lang.Object
      com.fg.ftreenodes.FToggleNodeAttributes

All Implemented Interfaces:
  java.lang.Cloneable

public class FToggleNodeAttributes
extends java.lang.Object
implements java.lang.Cloneable

Constructor Summary
`FToggleNodeAttributes()`

Method Summary
`FToggleNodeAttributes` | `copy()`
`boolean` | `getAllowsChildren()`
`java.awt.Color` | `getFolderBackground()`
`java.awt.Image` | `getLabelImage()`
`java.lang.String` | `getLabelText()`
`boolean` | `getNodeValidity()`
`boolean` | `isEditable()`
`boolean` | `isFolderBarDecorated()`
`boolean` | `isRadioUnselectable()`
`boolean` | `isToggleEnabled()`
`boolean` | `isToggleRadio()`
`boolean` | `isToggleSelected()`
`boolean` | `isToggleVisible()`
`FToggleNodeAttributes` | `setAllowsChildren(boolean allowsChildren)`
`void` | `setEditable(boolean editable)`
`FToggleNodeAttributes` | `setFolderBackground(java.awt.Color color)`
`FToggleNodeAttributes` | `setFolderBarDecorated(boolean decorated)`
`FToggleNodeAttributes` | `setLabelImage(java.awt.Image labelImage)`
`FToggleNodeAttributes` | `setLabelText(java.lang.String labelText)`
`FToggleNodeAttributes` | `setNodeValidity(boolean nodeValidity)`
`FToggleNodeAttributes` | `setRadioUnselectable(boolean radioUnselectable)`
`FToggleNodeAttributes` | `setToggleEnabled(boolean toggleEnabled)`
`FToggleNodeAttributes` | `setToggleRadio(boolean toggleRadio)`
`FToggleNodeAttributes` | `setToggleSelected(boolean toggleSelected)`
`FToggleNodeAttributes` | `setToggleVisible(boolean toggleVisible)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FToggleNodeAttributes

    public FToggleNodeAttributes()

Method Detail

### setAllowsChildren

    public FToggleNodeAttributes setAllowsChildren(boolean allowsChildren)

### getAllowsChildren

    public boolean getAllowsChildren()

### setEditable

    public void setEditable(boolean editable)

### isEditable

    public boolean isEditable()

### setFolderBarDecorated

    public FToggleNodeAttributes setFolderBarDecorated(boolean decorated)

### isFolderBarDecorated

    public boolean isFolderBarDecorated()

### setToggleRadio

    public FToggleNodeAttributes setToggleRadio(boolean toggleRadio)

### isToggleRadio

    public boolean isToggleRadio()

### setToggleVisible

    public FToggleNodeAttributes setToggleVisible(boolean toggleVisible)

### isToggleVisible

    public boolean isToggleVisible()

### setToggleEnabled

    public FToggleNodeAttributes setToggleEnabled(boolean toggleEnabled)

### isToggleEnabled

    public boolean isToggleEnabled()

### setToggleSelected

    public FToggleNodeAttributes setToggleSelected(boolean toggleSelected)

### isToggleSelected

    public boolean isToggleSelected()

### setRadioUnselectable

    public FToggleNodeAttributes setRadioUnselectable(boolean radioUnselectable)

### isRadioUnselectable

    public boolean isRadioUnselectable()

### setNodeValidity

    public FToggleNodeAttributes setNodeValidity(boolean nodeValidity)

### getNodeValidity

    public boolean getNodeValidity()

### setLabelImage

    public FToggleNodeAttributes setLabelImage(java.awt.Image labelImage)

### getLabelImage

    public java.awt.Image getLabelImage()

### setLabelText

    public FToggleNodeAttributes setLabelText(java.lang.String labelText)

### getLabelText

    public java.lang.String getLabelText()

### setFolderBackground

    public FToggleNodeAttributes setFolderBackground(java.awt.Color color)

### getFolderBackground

    public java.awt.Color getFolderBackground()

### copy

    public FToggleNodeAttributes copy()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD